# Copyright © 2020-2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

inherit autotools

MY_PN=${PN#gimp-}
MY_P=$MY_PN-$PV

DESCRIPTION="Suite of GIMP plugins for texture synthesis"
HOMEPAGE="https://github.com/bootchk/resynthesizer"
SRC_URI="https://github.com/bootchk/resynthesizer/archive/v$PV.tar.gz -> $MY_P.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="dev-lang/python:2.7
	|| (
		media-plugins/gimp-python[python_targets_python2_7(+)]
		media-gfx/gimp[python(-)] )"

S=$WORKDIR/$MY_P

src_prepare () {
	default
	eautoreconf
}
